package a3test.basic;

import jp.sourceforge.acerola3d.a3.*;

public class A3Util {
    static A3Window window;
    public static void main(String args[]) throws Exception {
        window = new A3Window(300,300);

//      Action3D a3 = Action3D.load("file:///home/ksaito/media/A3/axis/axis.a3");
        Action3D a3 = Action3D.load("x-res:///axis.a3");
        window.add(a3);
        window.setCameraLocImmediately(0.0,0.0,5.0);
        double theta=0.0;
        while (true) {
            try{Thread.sleep(100);}catch(Exception e){;}
            a3.setLoc(Math.cos(theta),Math.sin(theta),0.0);
            a3.setRot(3.0*theta,0.0,0.0);
            theta = theta + 0.1;
        }
    }
}
